infer-license-0.2.0: Infer software license from a given license file

Safe Haskell | None
Language | Haskell2010

Data.License.Infer

# Documentation

data License Source #

Constructors

MIT |
ISC |
BSD2 |
BSD3 |
BSD4 |
GPLv2 |
GPLv3 |
LGPLv2_1 |
LGPLv3 |
AGPLv3 |
MPL_2_0 |
Apache_2_0 |

Instances

Bounded License Source # |
Instance details Defined in Data.License.Type Methods minBound :: License Source # maxBound :: License Source #
Enum License Source # |

Instance details

Defined in Data.License.Type

Methods

succ :: License -> License Source #

pred :: License -> License Source #

toEnum :: Int -> License Source #

fromEnum :: License -> Int Source #

enumFrom :: License -> [License] Source #

enumFromThen :: License -> License -> [License] Source #

enumFromTo :: License -> License -> [License] Source #

enumFromThenTo :: License -> License -> License -> [License] Source #

Eq License Source # |
Instance details Defined in Data.License.Type Methods (==) :: License -> License -> Bool Source # (/=) :: License -> License -> Bool Source #
Show License Source # |
Instance details Defined in Data.License.Type Methods showsPrec :: Int -> License -> ShowS Source # show :: License -> String Source # showList :: [License] -> ShowS Source #

inferLicense :: String -> Maybe License Source #